Modify an account member

Update a single account member. Updating a member uses a [JSON patch](https://datatracker.ietf.org/doc/html/rfc6902) representation of the desired changes. To learn more, read [Updates](https://launchdarkly.com/docs/api#updates). To update fields in the account member object that are arrays, set the `path` to the name of the field and then append `/<array index>`. Use `/0` to add to the beginning of the array. Use `/-` to add to the end of the array. For example, to add a new custom role to a member, use the following request body: ``` [ { "op": "add", "path": "/customRoles/0", "value": "some-role-id" } ] ``` You can update only an account member's role or custom role using a JSON patch. Members can update their own names and email addresses though the LaunchDarkly UI. When SAML SSO or SCIM is enabled for the account, account members are managed in the Identity Provider (IdP). Requests to update account members will succeed, but the IdP will override the update shortly afterwards.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "string"
The member ID

Request

This endpoint expects a list of objects.
opstringRequired
The type of operation to perform
pathstringRequired
A JSON Pointer string specifying the part of the document to operate on
valueanyOptional
A JSON value used in "add", "replace", and "test" operations

Response

Member response
_idstring
The member's ID
rolestring
The member's base role. If the member has no additional roles, this role will be in effect.
emailstring
The member's email address
_pendingInviteboolean
Whether the member has a pending invitation
_verifiedboolean
Whether the member's email address has been verified
customRoleslist of strings
The set of additional roles, besides the base role, assigned to the member
mfastring

Whether multi-factor authentication is enabled for this member

_lastSeenlong

The member’s last session date (as Unix milliseconds since epoch)

creationDatelong
Timestamp of when the member was created
firstNamestring
The member's first name
lastNamestring
The member's last name
_pendingEmailstring
The member's email address before it has been verified, for accounts where email verification is required
excludedDashboardslist of strings
Default dashboards that the member has chosen to ignore
_lastSeenMetadataobject
Additional metadata associated with the member's last session, for example, whether a token was used
_integrationMetadataobject
Details on the member account in an external source, if this member is provisioned externally
teamslist of objects
Details on the teams this member is assigned to
permissionGrantslist of objects
A list of permission grants. Permission grants allow a member to have access to a specific action, without having to create or update a custom role.
oauthProviderslist of strings
A list of OAuth providers
versioninteger
Version of the current configuration
roleAttributesmap from strings to lists of strings
The role attributes for the member

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error